<!--
   JOnAS: Java(TM) Open Application Server
   Copyright (C) 1999 Bull S.A.
   Contact: jonas-team@objectweb.org
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
   USA

   Initial developer(s): Florent BENOIT

   $Id: jonas-client_3_2.dtd 11250 2007-08-08 09:56:58Z durieuxp $
-->

<!--
This is XML DTD for jonas client deployment descriptor information.
All JOnAS client deployment descriptors must include a DOCTYPE
of the following form:

<!DOCTYPE jonas-client PUBLIC "-//ObjectWeb//DTD JOnAS Client 3.2//EN"
                              "http://www.objectweb.org/jonas/dtds/jonas-client_3_2.dtd">
-->


<!--
 The jonas-client element is the root element of a JOnAS client specific 
 deployment descriptor. 
-->
<!ELEMENT jonas-client (jonas-ejb-ref*, jonas-resource*, jonas-resource-env*, jonas-security?)>

<!--
 The jonas-ejb-ref element declares the JOnAS specific information for a 
 reference to an enterprise bean's home.
 It consists of
   - the name of the ejb reference specified in the standard client deployment
     descriptor,
   - the JNDI name of the ejb.

 Used in: jonas-client
-->
<!ELEMENT jonas-ejb-ref (ejb-ref-name, jndi-name)>

<!--
 The ejb-ref-name element specifies the name of an ejb reference.

 Used in: jonas-ejb-ref
-->
<!ELEMENT ejb-ref-name (#PCDATA)>

<!--
 The jndi-name element specifies a JNDI name.

 Used in: jonas-resource-env, jonas-resource, jonas-ejb-ref
-->
<!ELEMENT jndi-name (#PCDATA)>

<!--
 The jonas-resource element declares the JOnAS specific information for 
 an external resource referenced by a client component. It consists of :
  - the name of the resource reference specified in the standard client 
  deployment descriptor,
  - the JNDI name of the resource.

  Used in: jonas-client
-->


<!ELEMENT jonas-resource (res-ref-name, jndi-name)>
<!--
 The res-ref-name element specifies the name of a resource factory reference. 
 
 Used in: jonas-resource
-->
<!ELEMENT res-ref-name (#PCDATA)>

<!--
 The jonas-resource-env element declares the JOnAS specific information for 
 an external resource environment referenced by a client component.
 It consists of
    - the name of the resource environment reference specified in the 
    standard client deployment descriptor,
    - the JNDI name of the resource environment.

 Used in: jonas-client
-->
<!ELEMENT jonas-resource-env (resource-env-ref-name, jndi-name)>

<!--
 The resource-env-ref-name element specifies the name of a resource 
 environment reference.

 Used in: jonas-resource-env 
-->
<!ELEMENT resource-env-ref-name (#PCDATA)>


<!--
 The jonas-security element declares the JOnAS specific information for the
 security. jaas entry to use, username and password for the callback handler.

 Used in: jonas-client
-->
<!ELEMENT jonas-security (jaasfile?, jaasentry?, username?, password?)>

<!--
  Name of the JAAS configuration file which must be in the client.jar
  ie : jaas.config
-->
<!ELEMENT jaasfile (#PCDATA)>

<!--
  JAAS entry to use in the jaas configuration file
  This is used for the instance of LoginContext class
-->
<!ELEMENT jaasentry (#PCDATA)>

<!--
  Username to use for the callback handler (NoInputCallbackHandler will be used in this case)
-->
<!ELEMENT username (#PCDATA)>

<!--
  Password to use for the callback handler (NoInputCallbackHandler will be used in this case)
-->
<!ELEMENT password (#PCDATA)> 